Module java.prefs
Package java.util.prefs

# Interface NodeChangeListener

All Superinterfaces:
  `EventListener`

    public interface NodeChangeListener
    extends EventListener

A listener for receiving preference node change events.

Since:
  1.4
See Also:
  `Preferences`, `NodeChangeEvent`, `PreferenceChangeListener`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `childAdded​(NodeChangeEvent evt)` | This method gets called when a child node is added.
`void` | `childRemoved​(NodeChangeEvent evt)` | This method gets called when a child node is removed.

## Method Details

### childAdded

void childAdded​(NodeChangeEvent evt)
This method gets called when a child node is added.

Parameters:
  `evt` - A node change event object describing the parent and child node.

### childRemoved

void childRemoved​(NodeChangeEvent evt)
This method gets called when a child node is removed.

Parameters:
  `evt` - A node change event object describing the parent and child node.